webkit-0.12.6.1: Binding to the Webkit library.

Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.WebKit.DOM.TimeRanges

# Documentation

timeRangesStart :: TimeRangesClass self => self -> Word -> IO Double

timeRangesEnd :: TimeRangesClass self => self -> Word -> IO Double

timeRangesGetLength :: TimeRangesClass self => self -> IO Word

newtype TimeRanges

Constructors

TimeRanges (ForeignPtr TimeRanges) |

Instances

Eq TimeRanges |
Ord TimeRanges |
GObjectClass TimeRanges |
TimeRangesClass TimeRanges |

class GObjectClass o => TimeRangesClass o

Instances

TimeRangesClass TimeRanges |

castToTimeRanges :: GObjectClass obj => obj -> TimeRanges

gTypeTimeRanges :: GType

toTimeRanges :: TimeRangesClass o => o -> TimeRanges